<?php 
	$conexion = mysql_connect('localhost','psycom_admin','psycom1021');
	mysql_select_db('psycom_users', $conexion);
	
	if($_GET['opcion']==0){
		echo '<center> <b>Modificar</b> <br>';
		echo '<table width="100%">';
		echo '<tr><th>Nombre</th><th>Apellido</th><th>Usuario</th><th>Contrase&ntilde;a</th></tr>';
		
		$qry = mysql_query("SELECT * FROM usuarios WHERE usuario_id = '{$_GET['id']}'");
		
		while ($x = mysql_fetch_array($qry)) {
			echo "<form action='modificar.php?opcion=3&&id=" . $x['usuario_id'] . "' method='post'>";
			echo "<tr>";
			echo "<td><input name='nombre' value='" . $x['nombre'] . "'></td>";
			echo "<td><input name='apellidos' value='" . $x['apellidos'] . "'></td>";
			echo "<td><input name='usuario' value='" . $x['usuario'] . "'></td>";
			echo "<td><input name='password' value='" . $x['password'] . "'></td>";
			echo "</tr>";
		}
		echo "</table>";
		echo "<center><br><input type='submit' value='Guardar'></center></form>";
	}else if($_GET['opcion']==3){
		$nombre = $_POST['nombre'];
		$apellidos = $_POST['apellidos'];
		$usuario = $_POST['usuario'];
		$password = $_POST['password'];
		mysql_query("UPDATE `usuarios` SET nombre='{$nombre}', apellidos='{$apellidos}', usuario='{$usuario}', password='{$password}' WHERE usuario_id = '{$_GET['id']}'");

		//echo "<script> window.location='http://www.psycom.com.mx/login/users.php';</script>";
	}else{
		mysql_query("DELETE FROM usuarios WHERE usuario_id = {$_GET['id']}");
		echo "<script> window.location='http://www.psycom.com.mx/login/users.php';</script>";
	}
		

?>
	